Problem installation on PHP 7.x Version

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Get Involved
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
User avatar
Nur1Labs
Registered User
Posts: 16
Joined: Sun Jun 28, 2015 8:43 pm
Location: Nur1Labs
Name: Bell Cranel
Contact:

Problem installation on PHP 7.x Version

Post by Nur1Labs » Sun Jun 28, 2015 8:48 pm

i have bug after click proceed to next step in The database tables used by phpBB 3.1 have been created and populated with some initial data. Proceed to the next screen to finish installing phpBB.


this appear


Fatal error: Cannot use 'null' as class name as it is reserved in F:\AgheonWeb\Apache24\htdocs\forum_nur1labs\phpbb\cache\driver\null.php on line 19

i search in google not found thank for anyone can help more power PHPBB :D
Go~Go~Innovation@2016

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Problem installation on PHP 7.x Version

Post by Oyabun1 » Sun Jun 28, 2015 10:25 pm

PHP 7 has not yet been released, so is not fully supported at this time. However, please submit a report to the phpBB Bug Tracker.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

rxu
Extensions Development Team
Posts: 2946
Joined: Wed Oct 25, 2006 12:46 pm
Location: Siberia, Russian Federation
Name: Ruslan
Contact:

Re: Problem installation on PHP 7.x Version

Post by rxu » Mon Jun 29, 2015 2:48 pm

That is already handled for upcoming 3.2 https://tracker.phpbb.com/browse/PHPBB3-13782 (https://github.com/phpbb/phpbb/pull/3589).
For 3.1, I don't think it's going to be fixed for now.

User avatar
Nur1Labs
Registered User
Posts: 16
Joined: Sun Jun 28, 2015 8:43 pm
Location: Nur1Labs
Name: Bell Cranel
Contact:

Re: Problem installation on PHP 7.x Version

Post by Nur1Labs » Mon Jun 29, 2015 9:41 pm

Oyabun1 wrote:PHP 7 has not yet been released, so is not fully supported at this time. However, please submit a report to the phpBB Bug Tracker.
i think i already used PHP 7.x alpha. and my program can compatibility it even as it's under dev. but i hope php can support new reelase php, apache, and new webserver component.
rxu wrote:That is already handled for upcoming 3.2 https://tracker.phpbb.com/browse/PHPBB3-13782 (https://github.com/phpbb/phpbb/pull/3589).
For 3.1, I don't think it's going to be fixed for now.
catch soon :D
Go~Go~Innovation@2016

hpoe
Registered User
Posts: 1
Joined: Thu Feb 18, 2016 6:26 am

Re: Problem installation on PHP 7.x Version

Post by hpoe » Thu Feb 18, 2016 6:41 am

Howdy there, I am having an identical issue my information is listed below:

phpbb 3.2.x
PHP Info
PHP 7.0.3 (cli) (built: Feb 2 2016 18:23:27) ( NTS )
Zend Engine v3.0.0
Using PHP-FPM
PHP 7.0.3 (fpm-fcgi) (built: Feb 2 2016 18:23:28)
Zend Engine v3.0.0,
on Nginx
nginx version: nginx/1.8.1
Arch Linux
kernel 4.4.1-2.

My real question however; is if there is a known work-around? I am fairly new when it comes to PHP, but if I just nuked this file would that solve my issue? It's just a local test instance so I don't need champion reliability or security, but would doing that cause the app to break even more and demons to spew forth out of my machine?

Any guidance would be much appreciated.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69233
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Problem installation on PHP 7.x Version

Post by KevC » Thu Feb 18, 2016 8:49 am

hpoe wrote:phpbb 3.2.x
Are you sure?
That's only a development version. It hasn't been released yet. Any queries about 3.2.x should be posted on the area51 development board.
http://area51.phpbb.com/phpBB/index.php

If you mean 3.1.x, that's not compatible with php7.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
Lumpy Burgertushie
Registered User
Posts: 66480
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Problem installation on PHP 7.x Version

Post by Lumpy Burgertushie » Thu Feb 18, 2016 5:04 pm

and yes, if you try to nuke it, the demons will most defintely spew forth.

now, if that happens, here is a link to some info about it all:
Technomancy

good luck and be sure not to let the blue smoke out of your computer.. no, not that, not that.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

User avatar
Solidjeuh
Registered User
Posts: 522
Joined: Wed Oct 06, 2010 11:20 pm
Location: Aalst / Belgium
Name: Andy Dm
Contact:

Re: Problem installation on PHP 7.x Version

Post by Solidjeuh » Thu Feb 18, 2016 6:37 pm

PHP 7 does NOT work on 3.1
I tried last month :D
I don't suffer from insanity. I enjoy every minute of it.

User avatar
Nur1Labs
Registered User
Posts: 16
Joined: Sun Jun 28, 2015 8:43 pm
Location: Nur1Labs
Name: Bell Cranel
Contact:

Re: Problem installation on PHP 7.x Version

Post by Nur1Labs » Sat Feb 27, 2016 1:57 pm

Solidjeuh wrote:PHP 7 does NOT work on 3.1
I tried last month :D
thank for tell ahahha I almost do that. so I used old php 8-)
Go~Go~Innovation@2016

bodmas
Registered User
Posts: 2
Joined: Mon Nov 10, 2014 11:31 am
Location: Amritsar, India

Re: Problem installation on PHP 7.x Version

Post by bodmas » Wed May 04, 2016 7:31 am

I am facing the same problem. Installiing older version of PHP now. Lets hope for the best.

User avatar
JimA
Community Team Leader
Community Team Leader
Posts: 7620
Joined: Thu Jul 31, 2008 5:54 am
Location: The Netherlands
Name: Jim Mossing Holsteyn
Contact:

Re: Problem installation on PHP 7.x Version

Post by JimA » Wed May 04, 2016 7:44 am

bodmas wrote:I am facing the same problem. Installiing older version of PHP now. Lets hope for the best.
That's right. PHP7 is not supported by phpBB 3.1. If you pick any PHP version higher than 5.3.3 but lower than 7.0, you should be fine. :)

phpBB 3.2 which is currently in development will support PHP7.
Image Jim Mossing Holsteyn - Community Team Leader
Knowledge Base | Documentation | Board rules

If you're having any questions about the rules/customs of this website, feel free to drop me a PM.

ocs_foundation
Registered User
Posts: 7
Joined: Sun Aug 14, 2016 1:22 am

Re: Problem installation on PHP 7.x Version

Post by ocs_foundation » Sun Aug 14, 2016 1:27 am

Now that PHP 7.0 is live and 5.6's support lifecycle will end as of the end of the year, are there any plans to fix this problem in the 3.1 branch? Thanks.

User avatar
JimA
Community Team Leader
Community Team Leader
Posts: 7620
Joined: Thu Jul 31, 2008 5:54 am
Location: The Netherlands
Name: Jim Mossing Holsteyn
Contact:

Re: Problem installation on PHP 7.x Version

Post by JimA » Sun Aug 14, 2016 1:36 am

ocs_foundation wrote:Now that PHP 7.0 is live and 5.6's support lifecycle will end as of the end of the year, are there any plans to fix this problem in the 3.1 branch? Thanks.
No, there aren't. Significant changes would have to be made to the BBCode parser. This is why we've addressed those things in the 3.2 branche and keep our current 3.1 branche stable.

We do still expect 3.2 to be released before the end of the year, so this shouldn't be a problem. :)
Image Jim Mossing Holsteyn - Community Team Leader
Knowledge Base | Documentation | Board rules

If you're having any questions about the rules/customs of this website, feel free to drop me a PM.

User avatar
Ibedejo
Registered User
Posts: 243
Joined: Tue Feb 21, 2012 12:12 am

Re: Problem installation on PHP 7.x Version

Post by Ibedejo » Sun Aug 14, 2016 6:55 am

ocs_foundation wrote:and 5.6's support lifecycle will end as of the end of the year
Active support will end at the end of this year, true, whereas security support will be provided until the end of 2018.
See here.

So no need to rush or panic now ;)

ocs_foundation
Registered User
Posts: 7
Joined: Sun Aug 14, 2016 1:22 am

Re: Problem installation on PHP 7.x Version

Post by ocs_foundation » Sat Aug 27, 2016 3:29 pm

Thanks for the information both regarding 3.2 and security support for 5.6. Based on performance testing for other aspects of our sites, there is definitely an advantage of moving to 7.0 but as long as our forums (phpbb) don't support it we will be in a holding pattern. The forums are the core of our business.

Locked

Return to “[3.1.x] Support Forum”